Source: https://atomicwork-preview.docs-staging.pageloop.ai/api-reference/workflows/postapi-v-1-workspaces-id-request-automations-request-key-clone

# Clone a Request automations of a Workspace

POST `https://{tenant}.atomicwork.com/api/v1/workspaces/{id}/request-automations/{request_key}/clone`

## Authorization

#### X-Api-Key (header, string, required)

## Headers

#### X-Workspace-Id (header, string)

## Path Parameters

#### id (path, integer, required)

Workspace ID (numeric). Find yours under Settings → Workspace.

#### request\_key (path, string, required)

Automation UUID — the `key` field returned by list/get endpoints.

## Body

#### name (body, string)

#### description (body, string)

## Response

#### 200

Successful response

#### Request

```bash cURL
curl -X POST 'https://{tenant}.atomicwork.com/api/v1/workspaces/{id}/request-automations/{request_key}/clone' \
  -H 'X-Api-Key: <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{"name": "string", "description": "string"}'
```

```javascript JavaScript
const res = await fetch('https://{tenant}.atomicwork.com/api/v1/workspaces/{id}/request-automations/{request_key}/clone', {
  method: 'POST',
  headers: {
    'X-Api-Key': '<api-key>',
    'Content-Type': 'application/json',
  },
  body: JSON.stringify({"name": "string", "description": "string"}),
});
const data = await res.json();
```

```python Python
import requests

res = requests.post(
    'https://{tenant}.atomicwork.com/api/v1/workspaces/{id}/request-automations/{request_key}/clone',
    headers={'X-Api-Key': '<api-key>'},
    json={"name": "string", "description": "string"}
)
data = res.json()
```
